Eclipse GEF 3.3

## org.eclipse.gef.palette
Class PaletteTemplateEntry

    java.lang.Object
      org.eclipse.gef.palette.PaletteEntry
          org.eclipse.gef.palette.PaletteTemplateEntry

public class PaletteTemplateEntry
extends PaletteEntry

Field Summary
`static String` `PALETTE_TYPE_TEMPLATE` Type identifier

Fields inherited from class org.eclipse.gef.palette.PaletteEntry
`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

Constructor Summary
`PaletteTemplateEntry(String label, String shortDesc, Object template, ImageDescriptor iconSmall, ImageDescriptor iconLarge)` Creates a new PaletteTemplateEntry with the given template.

Method Summary
`Object` `getTemplate()`
`void` `setTemplate(Object template)` Sets the template object to the given value

Methods inherited from class org.eclipse.gef.palette.PaletteEntry
`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PALETTE_TYPE_TEMPLATE

    public static final String PALETTE_TYPE_TEMPLATE

  Type identifier

  See Also:
    Constant Field Values

Constructor Detail

### PaletteTemplateEntry

    public PaletteTemplateEntry(String label,
                                String shortDesc,
                                Object template,
                                ImageDescriptor iconSmall,
                                ImageDescriptor iconLarge)

  Creates a new PaletteTemplateEntry with the given template.

Parameters:
  `label` - the entry's name
  `shortDesc` - the entry's description
  `template` - the template for this entry
  `iconSmall` - an ImageDescriptor for the entry's small icon
  `iconLarge` - an ImageDescriptor for the entry's large icon
See Also:
  `PaletteEntry.PaletteEntry(String, String, ImageDescriptor, ImageDescriptor, Object)`

Method Detail

### getTemplate

    public Object getTemplate()

  Returns:
    the user-defined template object

### setTemplate

    public void setTemplate(Object template)

  Sets the template object to the given value

  Parameters:
    `template` - the template object

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.